# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PolygonSimplifier::QErr Class Reference

The quadric error metric as defined by PolygonSimplifier. More...

`#include <PolygonSimplifier.hpp>`

List of all members.

## Public Member Functions
| QErr ()
| QErr (const dvec3 &n, double d, double w=1.0)
dmat3 | matrix () const
dvec3 | vector () const
double | offset () const
double | evaluate (const dvec3 &v) const
bool | analyticSolution (dvec3 &v) const
QErr | operator+ (const QErr &other)
const QErr & | operator+= (const QErr &other)
## Protected Attributes
double | a2
double | ab
double | ac
double | ad
double | b2
double | bc
double | bd
double | c2
double | cd
double | d2

## Detailed Description

The quadric error metric as defined by PolygonSimplifier.

## Constructor & Destructor Documentation

vl::PolygonSimplifier::QErr::QErr | ( |  | ) | `[inline]`

vl::PolygonSimplifier::QErr::QErr | ( | const dvec3 & | n,
|  | double | d,
|  | double | w = `1.0` |
| ) |  |  | `[inline]`

## Member Function Documentation

dmat3 vl::PolygonSimplifier::QErr::matrix | ( |  | ) | const`[inline]`

dvec3 vl::PolygonSimplifier::QErr::vector | ( |  | ) | const`[inline]`

double vl::PolygonSimplifier::QErr::offset | ( |  | ) | const`[inline]`

double vl::PolygonSimplifier::QErr::evaluate | ( | const dvec3 & | v | ) | const`[inline]`

bool vl::PolygonSimplifier::QErr::analyticSolution | ( | dvec3 & | v | ) | const`[inline]`

QErr vl::PolygonSimplifier::QErr::operator+ | ( | const QErr & | other | ) | `[inline]`

const QErr& vl::PolygonSimplifier::QErr::operator+= | ( | const QErr & | other | ) | `[inline]`

## Member Data Documentation

double vl::PolygonSimplifier::QErr::a2`[protected]`

double vl::PolygonSimplifier::QErr::ab`[protected]`

double vl::PolygonSimplifier::QErr::ac`[protected]`

double vl::PolygonSimplifier::QErr::ad`[protected]`

double vl::PolygonSimplifier::QErr::b2`[protected]`

double vl::PolygonSimplifier::QErr::bc`[protected]`

double vl::PolygonSimplifier::QErr::bd`[protected]`

double vl::PolygonSimplifier::QErr::c2`[protected]`

double vl::PolygonSimplifier::QErr::cd`[protected]`

double vl::PolygonSimplifier::QErr::d2`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/PolygonSimplifier.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:48 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.